stages:
  - build
  - trace

oft-build:
  stage: build
  image: registry.gitlab.com/xen-project/fusa/openfasttrace/ubuntu:oft
  script:
    - ./automation/build.sh 2>&1 | tee build.log
  artifacts:
    paths:
      - binaries/
      - build.log
    when: always
  tags:
   - x86_64
  needs: []

oft-trace:
  stage: trace
  image: registry.gitlab.com/xen-project/fusa/openfasttrace/ubuntu:oft
  variables:
    XEN_BRANCH: staging
  script:
    - ./automation/trace.sh ${XEN_BRANCH} 2>&1 | tee trace.log
  artifacts:
    paths:
      - report.html
      - trace.log
    when: always
  tags:
   - x86_64
  needs:
    - oft-build
